<app-loading *ngIf="isLoading"></app-loading>
<div nz-row class="content">
  <div nz-col nzSm='24'>
    <div class="app-card">
      <div class="container-fluid" nz-col nzSpan="24">
        <div class="form">
          <div nz-row class="form-row">
            <div nz-col nzSm='24' nzLg='24' class="form-row__left">
              <div nz-col nzSm='8' nzLg='8'>
                <mb-tree-select mbLabelText="{{'shared.label.chooseUnit' | translate}}"
                                mbPlaceholder="{{'shared.label.chooseUnit' | translate}}" [(ngModel)]="paramsPosition.orgId">
                </mb-tree-select>
              </div>
              <div nz-col nzSm='8' nzLg='8'>
                <mb-select [mbDataSelects]="listJob" mbKeyLabel="jobName" mbKeyValue="jobId" mbLabelText="Job"
                           mbPlaceholder="{{'system.automaticAssignRole.label.attributes.chooseJob' | translate}}"
                           [mbOptionHeightPx]="55" [(ngModel)]="paramsPosition.jobId">
                </mb-select>
              </div>
              <div class="form-row__btn">
                <mb-button class="center" mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="searchPosition()"
                         mbButtonAvailableStyle="SEARCH" mbButtonText="{{'common.label.search' | translate}}"></mb-button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <mb-table-merge-cell-wrap>
      <mb-table-merge-cell
        (changePageNum)="searchPosition($event)"
        (changePageSize)="changePageSize($event)"
        [tableConfig]="tableConfig"
        [dataList]="listPosition"
        [isScrollHeight]="true"
        [pageSizeOptions]="[15, 50, 100, 200, 500, 1000]"
        [showSizeChanger]="true"
        nzScrollHeight="45vh"
      ></mb-table-merge-cell>
    </mb-table-merge-cell-wrap>
  </div>
</div>
<div *nzModalFooter>
  <mb-button mbButtonType="BORDER"  mbButtonSize="LARGE" (click)="close()" mbButtonBgColor="transparent"
             mbButtonAvailableStyle="DEFAULT" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="savePosition()" [mbIsDisable]="objRolePosition.listPos.length === 0"
             mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.select' | translate}}"></mb-button>
</div>
<ng-template #selectTmpl let-isCheck='isCheck' let-posId='posId'>
  <label
    nz-checkbox
    class='check__contract-proposal'
    (nzCheckedChange)='onCheckChange($event, posId)'
    [nzChecked]='isCheck'
  >
  </label>
</ng-template>

<ng-template #selectHeaderTmpl>
  <label
    nz-checkbox
    class='check__contract-proposal'
    (nzCheckedChange)='onCheckAll($event)'
    [(nzChecked)]='checkAll[paramsPosition.page]'
    [nzDisabled]='listPosition.length === 0'>
  </label>

</ng-template>
